Show / Hide Table of Contents

# Struct StatusManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct StatusManager

### Fields

| Improve this Doc View Source

#### Owner

##### Declaration

    public Character*Owner

##### Field Value

Type | Description
--- | ---
Character* |

| Improve this Doc View Source

#### Status

##### Declaration

    public byte *Status

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Unk_170

##### Declaration

    public uint Unk_170

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk_174

##### Declaration

    public ushort Unk_174

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_178

##### Declaration

    public long Unk_178

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### Unk_180

##### Declaration

    public byte Unk_180

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### GetRemainingTime(Int32)

##### Declaration

    [MemberFunction("83 FA 1E 72 04 0F 57 C0")]
    public float GetRemainingTime(int statusIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | statusIndex |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetSourceId(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3B 44 24 28")]
    public uint GetSourceId(int statusIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | statusIndex |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetStatusId(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3D ?? ?? ?? ?? 74 45")]
    public uint GetStatusId(int statusIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | statusIndex |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetStatusIndex(UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 85 C0 79 17")]
    public int GetStatusIndex(uint statusId, uint sourceId = 3758096384U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | statusId |
System.UInt32 | sourceId |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### HasStatus(UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3C 01 74 B7")]
    public bool HasStatus(uint statusId, uint sourceId = 3758096384U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | statusId |
System.UInt32 | sourceId |

##### Returns

Type | Description
--- | ---
System.Boolean |